%define debug_package %{nil}

%define monodir %{_libdir}
%define mlib %{_lib}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	NAnt is a build tool for Mono and .NET
Name: 		nant
Version: 	0.85	
Release: 	1
Source0: 	http://download.sourceforge.net/nant/%{name}-%{version}-src.tar.gz
Patch0: 	nant-build.patch
Patch1: 	nant-app.patch
Patch2: 	nant-core-task.patch
License: 	GPL
Group: 		Development/Tools
Url: 		http://nant.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: 	mono-core-devel
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
ExclusiveArch: %ix86

%description
NAnt is a free .NET build tool. In theory it is kind of like make
without make's wrinkles. In practice it's a lot like Ant.

%package docs
Summary:	Documentation package for nant
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description docs
Documentation of nant

%prep
%setup -q -n %{name}-%{version}
sed -i -e "s/@LIBDIR@/%{mlib}/" %{PATCH1}
#%patch1 -p1 -b .orig
sed -i -e "s/%{mlib}/@LIBDIR@/" %{PATCH1}
%patch0 -p1 -b .orig
%patch2 -p1 -b .orig
sed -i -e "s/@LIB@/%{_lib}/" NAnt.build
sed -i -e "s!@BUILDROOT@!%{buildroot}/usr!" NAnt.build
find . -type d|xargs chmod 755
find . -type f|xargs chmod 644
sed -i 's/\r//' doc/license.html
sed -i 's/\r//' COPYING.txt
sed -i 's/\r//' README.txt
sed -i 's/\r//' doc/releasenotes.html

%build
export MONO_PATH=%{buildroot}/%{mlib}
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
sed -i -e "s#%{buildroot}##" %{buildroot}%{_bindir}/%{name}
find examples -name \*.dll -o -name \*.exe|xargs rm -f
rm -rf %{buildroot}%{_datadir}/NAnt/doc

%clean
rm -rf %{buildroot}

%post docs
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

%postun docs
scrollkeeper-update -q || :

%files
%defattr(-,root,root)
%doc README.txt doc/*.html COPYING.txt
%{_bindir}/nant
%{monodir}/NAnt/

%files docs
%defattr(-,root,root,-)
%doc examples/* doc/help/*

%changelog
* Sun Dec 02 2007 Christian Metzen <metzench@ccux-linux.de> 0.85-1
- Initial release
